All users were logged out of Bugzilla on October 13th, 2018

Give the user a way to set a buddy icon and a display name

RESOLVED FIXED in 0.3b1

Status

--
enhancement
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: florian, Assigned: florian)

Tracking

(Depends on: 2 bugs)

trunk
0.3b1
Dependency tree / graph

Details

(Whiteboard: [0.3-blocking])

Attachments

(3 attachments, 5 obsolete attachments)

(Assignee)

Description

5 years ago
*** Original post on bio 334 at 2010-02-16 16:08:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

5 years ago
Created attachment 8352009 [details] [diff] [review]
WIP

*** Original post on bio 334 as attmnt 267 at 2010-02-16 16:08:00 UTC ***

The toolbar at the top of the buddy list should allow the user to view and set a buddy icon and a display name.

The attachment is a XUL mockup/work-in-progress.
(Assignee)

Comment 2

5 years ago
Created attachment 8352010 [details]
Screenshot on Mac

*** Original post on bio 334 as attmnt 268 at 2010-02-16 16:10:00 UTC ***

This is a screenshot of how this should look on Mac.
The attached mockup in comment 0 doesn't produce exactly this result, there's an issue with the alignment of the label containing the status text.
(Assignee)

Comment 3

5 years ago
Created attachment 8352011 [details]
Screenshot/mockup on Windows XP

*** Original post on bio 334 as attmnt 269 at 2010-02-16 16:11:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Updated

5 years ago
Whiteboard: [0.3-blocking]
(Assignee)

Comment 4

5 years ago
Created attachment 8352353 [details] [diff] [review]
WIP 2

*** Original post on bio 334 as attmnt 610 at 2011-05-05 16:20:00 UTC ***

Updated attachment 8352009 [details] [diff] [review] (bio-attmnt 267) and fixed the issue mentioned in comment 1.
(Assignee)

Comment 5

5 years ago
Comment on attachment 8352009 [details] [diff] [review]
WIP

*** Original change on bio 334 attmnt 267 at 2011-05-05 16:20:51 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352009 - Attachment is obsolete: true
(Assignee)

Comment 6

5 years ago
Created attachment 8352354 [details] [diff] [review]
WIP 3

*** Original post on bio 334 as attmnt 611 at 2011-05-06 15:45:00 UTC ***

Added:
- JS code in the buddy list to open a file picker when the icon place holder is clicked.
- C++ code in purpleCoreService to store the chosen icon in the profile folder, keep track of it, and fire a user-icon-changed notification
- JS code in the buddy list to display the new icon when it's changed.

Next:
- C++ code in purpleAccount to observe the user-icon-changed notification and propagate new icons to the servers of libpurple accounts.
This should resize and convert the new icon to a format acceptable by the protocol plugin, store the new icon in libpurple's buddy icon store, and keep the handle of the stored icon in the account preferences.
- When loading a libpurple account, load the stored icon handle from the account preferences and reapply it.
- Apply the current icon when a new account is created.
(Assignee)

Comment 7

5 years ago
Comment on attachment 8352353 [details] [diff] [review]
WIP 2

*** Original change on bio 334 attmnt 610 at 2011-05-06 15:45:29 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352353 - Attachment is obsolete: true
(Assignee)

Updated

5 years ago
Assignee: nobody → florian
Status: NEW → ASSIGNED
(Assignee)

Comment 8

5 years ago
Created attachment 8352360 [details] [diff] [review]
WIP 4

*** Original post on bio 334 as attmnt 617 at 2011-05-10 22:37:00 UTC ***

Done:
Almost all purplexpcom and libpurple changes needed for the buddy icons. Buddy icons work correctly with this patch.

Next:
 - apply the current buddy icon to new accounts.
 - ensure that it's possible to remove the icon (setting the new icon to NULL should remove the existing icon. I haven't verified that this works so I assume it currently doesn't).
 - Check/fix the CSS on Windows/Linux.
 - The display name part.
(Assignee)

Comment 9

5 years ago
Comment on attachment 8352354 [details] [diff] [review]
WIP 3

*** Original change on bio 334 attmnt 611 at 2011-05-10 22:37:31 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352354 - Attachment is obsolete: true
(Assignee)

Comment 10

5 years ago
Created attachment 8352362 [details] [diff] [review]
WIP 5

*** Original post on bio 334 as attmnt 619 at 2011-05-12 00:29:00 UTC ***

Done:
The "Next" part of comment 5 (buddy icon related items only).

Next:
Setting the display name.
(Assignee)

Comment 11

5 years ago
Comment on attachment 8352360 [details] [diff] [review]
WIP 4

*** Original change on bio 334 attmnt 617 at 2011-05-12 00:29:31 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352360 - Attachment is obsolete: true
(Assignee)

Comment 12

5 years ago
Created attachment 8352363 [details] [diff] [review]
Patch v6

*** Original post on bio 334 as attmnt 620 at 2011-05-12 17:01:00 UTC ***

I think it's ready (for review?).
(Assignee)

Comment 13

5 years ago
Comment on attachment 8352362 [details] [diff] [review]
WIP 5

*** Original change on bio 334 attmnt 619 at 2011-05-12 17:01:39 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352362 - Attachment is obsolete: true
(Assignee)

Comment 14

5 years ago
*** Original post on bio 334 at 2011-05-12 17:21:59 UTC ***

Pushed attachment 8352363 [details] [diff] [review] (bio-attmnt 620) as https://hg.instantbird.org/instantbird/rev/e52ac1260bb5
-> Fixed.
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
Target Milestone: 1.0 → 0.3b1
(Assignee)

Updated

5 years ago
Depends on: 954215, 954216
Depends on: 954218
*** Original post on bio 334 at 2011-05-14 16:23:16 UTC ***

I just found a wrong case in an id-attribute but I guess nobody will care? ;)

displayNameAndstatusMessageStack
(Assignee)

Comment 16

5 years ago
*** Original post on bio 334 at 2011-05-16 14:27:54 UTC ***

Fixed a bug reported by even in the way the "Display Name" empty text is set after finishing an edit without entering anything in the textbox: http://hg.instantbird.org/instantbird/rev/7f1f36534832
(Assignee)

Updated

5 years ago
Blocks: 953888
Depends on: 954222
(Assignee)

Comment 17

5 years ago
*** Original post on bio 334 at 2011-05-19 13:23:40 UTC ***

More or less follow-ups:
* https://hg.instantbird.org/instantbird/rev/13baeefb20d8 - add notifications when a buddy icon for a contact/buddy/conversation is changed.
* Bug 953888 (bio 448) - ability for message themes to display the user's own icon.
(Assignee)

Updated

5 years ago
Depends on: 954217
You need to log in before you can comment on or make changes to this bug.